Can't autoreconf ffupes 650 on mac 10.6

Help
Bloodycelt
2009-12-31
2013-04-25
  • Bloodycelt
    Bloodycelt
    2009-12-31

    Has anyone gotten autoconf to actually use gettext on OS 10.6? I've searched around… and while I noticed many unanswered questions concerning this problem, I basicly can't use autoconf if gettext is needed even though it's in  my $PATH.
    (it's output is "not using gettext" and then can't parse all the macros).
    I'm using autoconf and gettext from macports.

    I tried 640 but it won't compile. (All those wonderful ffmpeg and http server issues.)

    Also if you guys help me get this to work on my mac, and then either help it get staticly compiled or provide a list of all the dylibs it needs I can make a nice little package installer for ya.

     
  • Bloodycelt
    Bloodycelt
    2010-01-01

    I got it to compile (but other issues abound)
    Basicly autoreconf is looking for AM_GNU_GETTEXT_VERSION(0.17)
    So if you put this at the top of configure.ac the rest will work.

     
  • Bloodycelt
    Bloodycelt
    2010-01-01

    Oh and another thing:
    in addition to the CFLAGS variable,
    PKG_CONFIG_PATH="/opt/local/lib/pkgconfig:/usr/local/lib/pkgconfig"
    TAGLIB_CONFIG="taglib-config"
    otherwise configure doesnt find anything you installed with macports.

     
  • Bloodycelt
    Bloodycelt
    2010-01-01

    note: pkg_config_path has underscores surrounding 'config' this forum is instead italisizing it. man pkg-config will give you the info.

     
  • Mark Lederer
    Mark Lederer
    2010-01-01

    When you recently upgraded your  OS  to Snow Leopard you pretty much have to redo everything in macports…  as documented at the Macports web site.

     
  • Bloodycelt
    Bloodycelt
    2010-01-01

    I did. But thanks.